package com.xydl.cac.service;

import com.xydl.cac.entity.NPoint;
import org.springframework.data.domain.Page;

import java.util.List;

public interface NPointService {

    List<NPoint> listAll(Integer sensorId);

    Page<NPoint> list(int pageNum, int pageSize);

    NPoint add(NPoint item) throws Exception;

    void update(NPoint item) throws Exception;

    void delete(Integer id);

    NPoint detail(Integer id) throws Exception;

    void importOne(NPoint item);

    void clearAll(Integer sensorId, Integer sensor103Id);

}
